Subject: Re: pkgsrc/www/lynx: [] Error 1
To: Robert Lillack <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 03/11/2004 14:13:34
On Thu, 11 Mar 2004, Robert Lillack wrote:

> Georg Schwarz wrote:
> > lorenz 2% /usr/local/pkg/bin/gettext --version
> > gettext (GNU gettext) 0.11.5
> I seem to suffer from the same problem. Trying to build
> sysutils/mc of pkgsrc-2003Q4 on Solaris:
> | [...]
> |
> | /opt/PKG/bin/msgfmt -o zh_TW.Big5.po
> | zh_TW.Big5.po:524:14: invalid control sequence

gettext in pkgsrc is old. Maybe the msgfmt is too old.

I have packaged up a newer gettext in pkgsrc/wip/gettext-tools. The
package needs some work, but maybe it can provide a /opt/PKG/bin/msgfmt
that will work for you.

To test gettext libraries, I removed devel/gettext-lib/ and
made a symlink for that to point to wip/gettext-runtime/ And
I have been using it for a couple systems for a lot of packages using it.

   Jeremy C. Reed